# <<BGS©>> BackGroundScreen Help File

<<BGS©>> BackGroundScreen Help File

From: Image16.gif (7046 octets)

BGS©: V3.11

Date: 1998 Februar, 22th

Purpose: Change your Windows© wallpaper every time you want, using the WEB or your local disk as source of your wallpaper images.

Image20.gif (8261 octets)

This shareware program is designed to do the following tasks:

Periodically download a specified file from the WEB or from your local disk.
Optionally convert this file to .BMP format and use it as Windows© wallpaper.
It accepts .BMP, .JPG, and .GIF files.
It runs under Win/95 & Win/NT 4.0
Since release 2.0, it accepts to connect to its optimized BGS/IS© Internet server partner.
BGS© now also have more schedule possibilities including user definable working days and working hours.
You can view images in normal, mosaic, or full screen mode, directly from BGS©.
You can " drag & drop " files and directories from the file manager to BGS©.
MINIMIZE mode, to easily update your " index.bgs " files.
Since V3.0, BGS© is multithreaded. That mean that you can interrupt the current transfer in case of network trouble.
All BGS© buttons are now stored on a per file basis instead of being common to all files stored in the file list..
New buttons to select "directory to save" and "image editor" program.
index.bgs file do not more contain the path of referenced files. You can set filenames containing path, in that case BGS will use them, but if no path is given with the file name, BGS append the path of index.bgs file itself. Even if path is a network path (http://). This feature permit to copy tree containing images and index.bgs file without having to edit manually index.bgs file.
BGS© now reflect the directory content change. If you add some files in a directory used by BGS, they will be automaticaly appended into index.bgs file. If you remove some files that where referenced by index.bgs, they are automaticaly removed from index.bgs file.
You can now set your own default view mode (Normal, Mosaic, or Stretch) to be applied to server pictures.
Some little bugs have been fixed.
V3.11
You can ask BGS to load an image at startup.
You can connect directly from BGS to BGS's Homepage on Internet to register it using a secure server (Note: You must set the <<Browser>> parameter of BGS preferences for this feature to work)

<<How To Register BGS© Image18.gif (935 octets) >>

If you find this program useful, please register it by connecting to the secure server accessible on BGS's Internet Homepage at URL:

http://perso.easynet.fr/~acsoft/bgs.htm

Or, from inside BGS©, you can also use the Image18.gif (935 octets) toolbar button, which open the <<Register dialog>>

Image19.gif (3067 octets)

Then, using the <<How to get Registration KEY>> button, the following dialog appear:

Image17.gif (3751 octets)

from which you can directly connect to BGS's Homepage (If you previously set the BROWSER option in the preferences dialog Image12.gif (959 octets) )

When you register your version of BGS©, you will receive by Email a couple of words (User/Password) that you can enter using the above <<Registration dialog>>. Enter your own values, click " OK ", and quit from BGS©.

Restart BGS© to have the full registered release running on your computer.

<< Suggested use >>

1) Using any available BGS/IS© Internet Server, you can reach different channels available, and update your background with pictures filtered by subject. You can found a list of available BGS/IS© Internet Server at URL :

http://perso.easynet.fr/~acsoft/bgsis.html

2) You can also use BGS© without any specific BGS/IS© Internet Server. For example, you can download the file:

http://www.meteo.fr/tpsreel/images/satt0.jpg

which contains an every days actualized Europe map of current weather (Photo from METEOSAT) with a timing of 24H.

Or try:

http://www.cplus.fr/canal-bin/camera.sh

using the JPG force file conversion flag, with a timing of 60 S.

You can also use others URL like actualized pinups pages, or every regularly updated pictures of the WEB.

3) You can use BGS© as a cache explorer to keep the pictures you don’t want to loose.

4) You can use BGS© to keep your connection up during a long time without inactivity. To do this, select a very small file in .GIF or .JPG format available on the Internet (a button, a small picture, ...), set the timer to a value lower than your connection time-out, and BGS© will download this small file before the connection is broken, resetting the router’s or modem’s timer.

WARNING : The connection will keep up until you stop BGS©.

<<System Requirements>> Installation Guide

    This program has been tested under Windows95 and Win/NT 4.0.
    It uses wininet.dll which is included in Microsoft Internet Explorer V3 .0 package.

<<How to use BGS© >> Users Guide

The main button since release 2.0 is the <<Connect to a BGS server>>. It changes the mode of BGS© from " file mode " to " client/server mode ".

1) We are now describing the " file mode ".See 2) to get information on the " client/server mode ".

In this mode, the program opens a dialog where you can enter the URL location of the file to download.
Pushing then the " Load file now " button will connect to the Internet, and load the requested file.
If the " Use as Wallpaper " button was checked, this file is converted to .BMP format, and then set as current Windows© wallpaper, otherwise the file is saved on your disk under name: " BGS.dat ".
You can remove a file from the list by selecting it in the list, close the list, and hit the " Delete from list " button.

Using the " Preference " button, you can set a timer so that this program will periodically do this basic task. The opened dialog let you specify the timer value as well as the timer unit.

When the timer is set, you can start it by clicking the " Run in background " button.

BGS© iconize itself. When the programmed time is elapsed, BGS© will download the file, set it as wallpaper, and continue running in background. If you want to stop it, reopen the icon, and click on the button now labeled " Stop Running ". This will return to waiting mode.

Using the " Preference " button, you can check the " Run in back at startup " button to make BGS© running directly in background when started. This option need a " file to download " to be specified, as well as a " timer value ".

When so configured, you can create a shortcut in Windows95© Startup program group so that BGS© will be restarted at next boot, and rerun in background. Do not use " Start as an Icon Window " feature, because the Internet dialer will also start as an iconized window. BGS© will automatically iconize itself when started in background mode.

When an image is loaded as your wallpaper, you can choose to view it in normal mode (as is), in mosaic (repeat image to fill screen), or full screen (stretch image to fit screen).

Note that this last option require the optional pack Plus ! of Windows95© to be installed on your computer.

About the Internet connection:

If you want to stop Internet connection, do it when BGS© is in Waiting mode.
Do not abort Internet connection while BGS© download the file or try to connect to Internet. If you do so, BGS© would not be able to successfully restart connection itself. You will need to manually establish the connection again, or to stop, then restart BGS.

To quit from BGS©, use the " Quit " button.

2) We are now describing the " client/server mode ". See 1) to get information on the " file mode ".

In this mode, you specify the Internet address of the BGS/IS© Internet server channel you want to connect to, instead of any file name.

When you click on the " Get Index now " button, BGS© will automatically download each file available in this channel, pausing for the time you set in the " timer value " between each file.

Note : Do not forget to hit this button FIRST when you change the server address. If you press the " arrows " button, without pressing this button, you will get the next image of the previous server address.

You cannot use the force flags conversion in this mode. You also cannot prevent BGS© to update your wallpaper.

When connecting to a BGS/IS© Internet server, BGS© search for a file named " index.bgs " on the server, or in the local given directory.

If this file exists, it must have the following format :

# index.bgs
#
# as you see, # is the comment character
#
# Each non commented line contain an URL enclosed in cote,
# followed by a space, and 2 integers separated by a space.
# The 1st one is the force format flag (0 = Use extension, 1 = force JPG, 2 = force GIF)
# The 2nd one is the picture behavior (-1 = DefaultValue, 0 = Normal, 1 = Mosaic, 2 = Full Screen)
#
‘http://www.meteo.fr/tpsreel/images/satt0.jpg’ 0 -1
‘http://www.meteo.fr/tpsreel/images/isp.gif’ 0 -1
‘http://wxp.atms.purdue.edu/images/sat_sfc_map.gif’ 0 -1
‘http://www.cs.uit.no/~ken/images/big/weather.gif’ 0 -1

Note that the first line MUST exactly contain :

- One # as 1st character
- One space following this 1st #
- The word index.bgs
- One Carriage Return

WARNING : If this rule is not respected, BGS© will ignore the file.

If you want to use only local files, only replace URLs by filenames (including drive and path name)

Example :

# index.bgs
‘001.jpg’ 0 -1
‘002.jpg’ 0 -1
‘003.jpg’ 0 0
‘004.jpg’ 0 2
‘005.jpg’ 0 1
‘006.jpg’ 0 -1

You can easily set up your own " index.bgs " files using the Drag&Drop mechanism.

<<Drag & Drop >>

You can enter files and directories in BGS© using the " Drag&Drop " mechanism of Windows’s explorer.

When you drop a file, BGS© use it as source image, as if you had entered it’s name in the dialog and hit the " Get file now " button.

When you drop a directory, BGS© use it as source of BGS/IS© Internet server, as if you had entered it’s name in the dialog and hit the " Get index now " button.

<<"index.bgs" file automatic creation >>

If BGS© do not find any "index.bgs" file in the directory you drop to it, it scans the given directory searching all .jpg and .gif files, and create an "index.bgs" file with the default value (-1) for the image behaviour.

<<Default viewmode value >>

You can then set the default viewmode to your need (center, mosaic, or fullscreen) by maintaining the CTRL key down while selecting the requested mode. Now, all pictures will be displayed using this default mode.
You can change the mode for a a particular picture by clicking on the coresponding button (center, mosaic, or fullscreen). This mode will be applyed on this picture only. The file "index.bgs" will reflect all these changes.
You can reset any image to the default value by clicking on the "Default value" button.

The viewmode default value is stored for each server address.

<<MINIMIZE Mode Image10.gif (964 octets) >>

When you click on the " Minimize " button ( Image10.gif (964 octets)), BGS© close itself, and show a new task bar.

Image11.gif (2309 octets)

In this mode, you can then change the behavior of current picture to Normal, Mosaic, or Full Screen. Each changes are kept in the " index.bgs " file. You can save this file by quitting the minimize task bar. The " save index " button let you save the modified index when you are in normal (non minimized) mode.
You can change from picture asking the server to give you the next or previous one using the " arrow " button.
If any " Save Directory " has been set in the preferences, you can choose to save current image from it’s source to your local directory by clicking on the " Save " button.

Use this to explore your browser cache directory, and easily save the pictures you want to keep.

If any " Editor " has been set in the preferences, you can choose to edit current image from it’s source using your preferred image editor by clicking on the " Edit " button.

If your BGS/IS© Internet server is local, you can delete the current picture from the list using the " Delete " button. BGS© ask you if you also want to delete the file, hit cancel if you don’t.

This button is the same as the " Delete from index " button of normal mode

<<Publish your own BGS/IS© Internet server>>

If you wish to publish your own channels on the Web, simply configure any available HTTP server to publish either :

- A directory containing your picture files, and the corresponding " index.bgs " file.

- Or simply a directory containing one " index.bgs " containing only the pictures’s URL you want to show.

And of course, do not forget to announce it everywhere ! ! !

Please, also inform me by Email at address acsoft@easynet.fr when you publish it, so that I can maintain the list at URL:

http://perso.easynet.fr/~acsoft/bgsis.html

<<BGS Preferences Image12.gif (959 octets) >>

The following dialog appear when you hit the preferences button ( Image12.gif (959 octets) )

Image13.gif (8479 octets)

<<Schedule BGS activity>>

Using this dialog, you can set the time between two file download. Until this timer is set, you cannot use the " Run in background " button, as well as the " Run in background at startup " checked button. Use it when you start BGS© from the Windows© <<startup>> program group.

The <<Load image at startup>> button tells BGS© to automaticaly load the default image (if connecting to an image) or the next image (if connecting to BGS/IS© server). This permit to have a new desktop picture each time you start BGS© (typically, at boot up time) instead of having to wait the next scheduled download.

You can tell BGS© to automaticaly stop running when you are not working. This will avoid connection time when you don’t use your computer.

If you check " Working days only ", you can enter in the associated text box a string composed of two letters words separated by / : Mo/Tu/We/Th/Fr/Sa/Su

Leave only your workings days in this string, and BGS© will run only on specified days.

If you check " Working hours only ", you can enter in the associated text box a string composed of two period of working time:

H1:M1-h1:m1 H2:M2-h2:m2

Leave only your workings hours in this string, and BGS© will run only on specified hours.

Of course, you can simultaneously use the two schedule rules.

You can setup a default save directory for BGS©, it will be used by the " Save " button to copy current picture to this directory.

You can setup your default Picture editor in the " Editor " field. Simpy enter the complete drive and path name of the .exe file used to edit pictures. This program will be started when you click on the " Edit " button, using the current picture source.

<<Browser, Directory to Save, and Image Editor preferences>>

Using the preference dialog, you can set your prefered browser. This allow BGS© to connect to BGS's Internet home page, or send an Email directly from the About Dialog (Accessible through the Image15.gif (946 octets) toolbar button), or from the following <<How to register>> dialog.

Image17.gif (3751 octets)

You can set the <<Directory to save>> parameter, which allow BGS© to save current image in this directory using the save button ( Image21.gif (966 octets))

You can set the <<Image Editor>> parameter, which allow BGS© to edit current image using the edit button ( Image22.gif (962 octets))

<<Hot Line>> Support

The author via Email requests at address

acsoft@easynet.fr supports this program.

Please, report me any bug that you may discover. I will try to correct them and send you a newer release of this product.

<<Known Bug List and limitation>>

o) When Internet connection is manually closed or aborted while BGS© try to connect to the Internet, or download the file, the connection failed, and BGS© will not be able to connect anymore successfully by itself.
Workaround : Manually restart the Internet connection, or Stop/Restart BGS©

o) BGS© do not automatically close the Internet connection when exiting.
Workaround : Close it manually if you don’t need it anymore.

o) The size of the downloaded file is currently limited to 2Mo.
Workaround : Ask for changes by Email.

<<Bugs corrections list>>

V1.0

Beta2 -> Beta3:

<ALT>F4 now available as standard QUIT command.
Accept .BMP files as input to wallpaper conversion.
Do not use disk during .JPG to .BMP conversion.
Better error messages in case of conversion failure.
Accept .GIF files as input to wallpaper conversion.

Beta3 -> Beta4:

You can now force file conversion type regardless of the file extension.

Beta4 -> Beta5:

Run under Win/NT V4.0 and do not use MSDOS move instruction to move the file to C :\windows directory.

V2.01

Connection to BGS/IS© Internet Server
Use a list of file instead of only one
Working days and hours schedule options
Use local disk as source of images

V2.1

Several bugs correction in GIF to BMP conversion.
Several bugs correction in JPG to BMP conversion
Implement "Drag&Drop" of image files and directories from the file manager.
Automatically update of your local " index.bgs " files in " minimize " mode.
Save and Edit features.

V3.0

Multithreading (to cancel current transfer)
Do not store path with filenames in index.bgs

V3.1

Default viewmode value, by servers

V3.11

Load image at startup
Directly connect from BGS to BGS's Internet Homepage to register it using a secure server

<<Shareware>>

This program is a Shareware: You may freely distribute it EXACTLY as you receive it.

Do not change the content of the distribution ZIP file.

When you register your version, be careful to not distribute your personal User/Password key.

As an evaluation program, BGS© will run only 60 days before requesting to be registered to continue to run.
If you find it useful, please register it.
You will get your version running for eternity, and you will get all the next releases for free when they will be available.

Future development:

Support of other WEB image format.
Please, suggest changes using Email support.

Thanks for your help by using and registering BGS©.

The author: Christian ALLEGRE.